## org.jfree.data.function
Class LineFunction2D

    java.lang.Object
      org.jfree.data.function.LineFunction2D

All Implemented Interfaces:
  java.io.Serializable, Function2D

    public class LineFunction2D

extends java.lang.Object
implements Function2D, java.io.Serializable

A function in the form y = a + bx.

See Also:
  Serialized Form

Constructor Summary
`LineFunction2D(double a, double b)` Constructs a new line function.

Method Summary
`boolean` `equals(java.lang.Object obj)` Tests this function for equality with an arbitrary object.
`double` `getIntercept()` Returns the 'a' coefficient that was specified in the constructor.
`double` `getSlope()` Returns the 'b' coefficient that was specified in the constructor.
`double` `getValue(double x)` Returns the function value.
`int` `hashCode()` Returns a hash code for this instance.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineFunction2D

    public LineFunction2D(double a,
                          double b)

  Constructs a new line function.

  Parameters:
    `a` - the intercept.
    `b` - the slope.

Method Detail

### getIntercept

    public double getIntercept()

  Returns the 'a' coefficient that was specified in the constructor.

  Returns:
    The 'a' coefficient.
  Since:
    1.0.14

### getSlope

    public double getSlope()

  Returns the 'b' coefficient that was specified in the constructor.

  Returns:
    The 'b' coefficient.
  Since:
    1.0.14

### getValue

    public double getValue(double x)

  Returns the function value.

  Specified by:
    `getValue` in interface `Function2D`
  Parameters:
    `x` - the x-value.
  Returns:
    The value.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this function for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code for this instance.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.